/**
 * Copyright (c) Microsoft Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import fs from 'fs';
import path from 'path';

export function printDepsWindowsExecutable(): string | undefined {
  return pathToExecutable(['bin', 'PrintDeps.exe']);
}

function pathToExecutable(relative: string[]): string | undefined {
  try {
    const defaultPath = path.join(__dirname, '..', '..', ...relative);
    if (fs.existsSync(defaultPath))
      return defaultPath;
  } catch (e) {
  }
}

